# Update a person entity

**PATCH** `/entities/person/{entity_id}`

Update an existing person entity.

### Path Parameters

- `entity_id` `string` _(required)_ — Unique identifier for the entity.

### Body Parameters

- `address` `object` — Addresses need to adhere to character validation, as addresses are used across multiple payment rails. Characters are validated according to the [Fedwire character validation](/wire#valid-characters-permitted).
  - `city` `string` _(required)_ — City name
  - `country_code` `string` _(required)_ — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` _(required)_ — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `collected_at` `object` — Field collection timestamps, keyed by field path (for example, `first_name` or `ssn`). Values must be RFC3339 timestamps between `1900-01-01T00:00:00Z` and the current time. PATCH merges keys into the existing map; an empty map preserves existing timestamps.
- `country_of_citizenship` `string` — Country of citizenship of the individual. Country of citizenship does not need to match the issuing country of an identity document. ISO 3166-1 Alpha-2 Country Code (e.g., `US`, `FR`, `UK`, `DE`, ...).
- `date_of_birth` `string` — Date of birth (`YYYY-MM-DD`). Set to `null` or an empty string to clear a previously set value.
- `drivers_license` `object` — Driver's License Details. Passport, Driver's License or National ID is required for non U.S. citizens. When left blank, the Passport field returns an empty object ( ) and the Driver's License and National ID fields return `null`.
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code of the issuing country
  - `number` `string` — Driver's license number
- `email` `string` — Email of the individual. Optional, but highly encouraged as it will increase likelihood of an automated verification. When left blank, the Email field returns an empty string (`""`).
- `employment_status` `string` — Employment status of the individual.
- `expected_payment_rails` `string` — Expected transaction types for the account.
- `first_name` `string` — First name of the legal person. Must adhere to [Fedwire character validation](/wire#valid-characters-permitted).
- `income` `array of numbers` — Estimated pre-tax annual income. Accepts an array to allow passing income ranges.
- `is_high_risk` `boolean` — Indicates whether the entity has been identified as high risk based on compliance screening
- `last_name` `string` — Last name of the legal person. Must adhere to [Fedwire character validation](/wire#valid-characters-permitted).
- `makes_international_payments` `boolean` — Indicates whether the individual expects to make international payments.
- `middle_name` `string` — Middle name of the legal person. Must adhere to [Fedwire character validation](/wire#valid-characters-permitted).
- `national_id` `object` — National ID Details. Passport, Driver's License or National ID is required for non U.S. citizens. When left blank, the Passport field returns an empty object ( ) and the Driver's License and National ID fields return `null`.
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code of the issuing country
  - `number` `string` — National ID number
- `occupation` `string` — Industry of employment or occupation of the individual.
- `passport` `object` — Passport Details. Passport, Driver's License or National ID is required for non U.S. citizens. When left blank, the Passport field returns an empty object ( ) and the Driver's License and National ID fields return `null`.
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code of the issuing country
  - `number` `string` — Passport number
- `pep_status` `string` — Politically Exposed Person screening status. Allowed values: `not_checked`, `no`, `yes`, `potential`.
- `phone_number` `string` — Phone number of the individual in the E.164 format. Optional, but highly encouraged as it will increase likelihood of an automated verification. When left blank, the phone number field returns an empty string (`""`).
- `purpose_of_account` `array of strings` — Intended use of the account.
- `role` `string` — Individual's role or job title at their place of employment.
- `source_of_income` `array of strings` — Sources of income for the individual.
- `ssn` `string` — Social Security Number. SSN is required for U.S. citizens. ITIN may be shared in place of SSN. If SSN is provided, country of citizenship is not required. When left blank (i.e., for non-U.S. citizens) the SSN field returns an empty string (`""`). Set to `null` or an empty string to clear a previously set value.

**Request**

```shell
curl 'https://api.column.com/entities/person/<entity_id>' \
  -XPATCH \
  -u :<YOUR API KEY> \
  -H 'Content-Type: application/json' \
  -d '{
    "first_name": "Bruce",
    "last_name": "Hockey",
    "middle_name": "Smith",
    "ssn": "565438976",
    "phone_number": "+15555555555",
    "date_of_birth": "1985-08-04",
    "email": "apis@column.com",
    "address": {
      "line_1": "101 Market St",
      "line_2": "Suite 1913",
      "city": "San Francisco",
      "state": "CA",
      "postal_code": "94105",
      "country_code": "USA"
    }
  }'
```

**Response 200**

```json
{
  "documents": [],
  "id": "enti_2Q1ctiJm1NypVqCt8UBC8e4xTfH",
  "is_root": false,
  "person_details": {
    "address": {
      "city": "San Francisco",
      "country_code": "US",
      "line_1": "101 Market St",
      "line_2": "Suite 1913",
      "postal_code": "94105",
      "state": "CA"
    },
    "date_of_birth": "1985-08-04",
    "email": "apis@column.com",
    "first_name": "Bruce",
    "last_name": "Hockey",
    "middle_name": "Smith",
    "passport": {},
    "ssn": "565438976",
    "phone_number": "+15555555555",
    "drivers_license": null,
    "national_id": null
  },
  "review_reasons": [],
  "type": "PERSON",
  "verification_status": "VERIFIED"
}
```
